AnsweredAssumed Answered

SetBalloon→swBS_Underline result is none

Question asked by Yong Ning on Jul 30, 2017

underline.jpg

 

 

 

 

 

 

 

Private Sub del()

   Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

       Set SwApp = Application.SldWorks

       Set SwModel = SwApp.ActiveDoc

   Dim SwSelMgr As SelectionMgr

       Set SwSelMgr = SwModel.SelectionManager

   Dim SwNote As Note, SwAnn As Annotation

       Set SwNote = SwSelMgr.GetSelectedObject5(1)

       SwNote.SetBalloon swBS_Underline, 3

       'swBS_Underline, swBF_3Chars

       'swBS_FlagTriangle, 3 'swBS_Underline, 0

       Set SwAnn = SwNote.GetAnnotation

       With SwAnn

           Debug.Print .GetArrowHeadStyleAtIndex(1)

           .SetLeader3 swSTRAIGHT, 0, True, True, True, True

           .SetArrowHeadStyleAtIndex -1, swNO_ARROWHEAD ' swDOT_ARROWHEAD

           Stop

       End With

       Stop

End Sub

Attachments

Outcomes